<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:id="@+id/webview"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <LinearLayout
        android:gravity="center"
        android:orientation="horizontal"
        android:id="@+id/ln_input_url"
        android:background="@color/all_white"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="45dp">

        <EditText
            android:id="@+id/te_url"
            android:paddingRight="38dp"
            android:layout_width="0dp"
            android:layout_height="45dp"
            android:singleLine="true"
            android:layout_weight="1"
            android:inputType="textUri" />

        <ImageButton
            android:gravity="right|center_vertical|center_horizontal|center"
            android:layout_gravity="right|center_vertical|center_horizontal|center"
            android:id="@+id/btn_clear_url"
            android:focusableInTouchMode="true"
            android:layout_width="38dp"
            android:layout_height="38dp"
            android:layout_marginRight="0dp" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <WebView
            android:id="@+id/web_engine"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <LinearLayout
            android:gravity="center"
            android:orientation="horizontal"
            android:id="@+id/layout_loading"
            android:background="@color/all_transparent"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
        </LinearLayout>
    </FrameLayout>
</LinearLayout>
